button[disabled],
input[type=button][disabled],
input[type=submit][disabled] {
    color: white;
    background: clr(tertiary) !important;
    cursor: not-allowed;;
}

.a-button {
  // display: inline-block;
  width: 100%;
  height: fit-content;
  margin: 0.9rem 0;
  text-align: center;
  padding: 2.2rem 3.4rem 2rem;
  border-radius: 3px;
  border: 1px solid transparent;
  color: white;
  text-decoration: none;

  font-weight: 400;
  font-size: 1.4rem;
  line-height: 1.21;
  text-transform: uppercase;
  cursor: pointer;
  outline: none;
  &.primary {
    background-color: clr(primary);
    color: clr(white);

    &:hover:not([disabled]),
    &:focus:not([disabled]) {
      background-color: clr(quaternary);
    }

    &.sub-formations {
      padding: 2.2rem 0 2rem;
    }
  }

  &.secondary {
    border-color: clr(white);
    background-color: clr(secondary);
    color: clr(white);

    &:hover:not([disabled]),
    &:focus:not([disabled]) {
      background-color: clr(quaternary);
    }
  }

  &.transparent {
    border-color: clr(primary);
    background-color: transparent;
    color: clr(primary);

    &:hover:not([disabled]),
    &:focus:not([disabled]) {
      background-color: clr(quaternary);
      border-color: clr(quaternary);
      color: clr(white);
    }
  }
}

